Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

create:my_org:member_roles
OAuth2ClientCredentials

Create Roles for members in organization

create:my_org:member_roles
OAuth2AuthCode

Create Roles for members in organization

Path Parameters

user_id
string
required

The user ID.

Pattern: ^(?=.{1,1024}$).+\|.+$

Body

application/json
role_ids
string[]
required
Required array length: 1 - 10 elements

The ID of a role that can be assigned to a member of an organization.

Pattern: ^rol_(?:[A-Za-z0-9]{16}|sys_[a-z0-9_]{1,64})$

Response

Role(s) successfully assigned to member.